#pragma once
#include "Entity.h"
#define MENUTEXTP1BALL_CREATENAME L"menutext_ball_p1"
class MenuTextP1Ball :
    public Entity
{
public:
    MenuTextP1Ball();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Reset();
private:
    int stateID = 0;
    bool bInitPos = true;
    float xSrc = 0;
    float ySrc = 0;
    const float keyboardPlace_x = 4 * 16 + 8;
    const float keyboardPlace_y = 15 * 16 + 8;
    const float joystick1Place_x = 18 * 16 + 8;
    const float joystick1Place_y = 15 * 16 + 8;
    const float joystick2Place_x = 30 * 16 + 8;
    const float joystick2Place_y = 15 * 16 + 8;
    const float speed = 4.0f;
};

std::shared_ptr<Entity> CreateMenuTextP1Ball();